<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeColumnAlbumManufacturer extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('album_manufacturer', function (Blueprint $table) {
            //
            $table->string('avatar', 255)->default('')->nullable()->change();
            $table->string('service_app_id', 255)->default('')->nullable()->change();
            $table->string('service_app_secret', 255)->default('')->nullable()->change();
            $table->string('redirectapp', 255)->default('')->nullable()->change();
            $table->string('G_app_id', 255)->default('')->nullable()->change();
            $table->string('G_app_secret', 255)->default('')->nullable()->change();
            $table->dropColumn(['app_id','app_secret']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('album_manufacturer', function (Blueprint $table) {
            //
        });
    }
}
